## no critic
package Bencher::ScenarioR::URIEscaping;

our $VERSION = 0.006; # VERSION

our $results = [[200,"OK",[{dataset=>"ascii53",ds_tags=>"escape",errors=>2.8e-07,p_tags=>"escape",participant=>"URI::Encode::uri_encode",pct_faster_vs_slowest=>0,pct_slower_vs_fastest=>9829.33133278266,rate=>3410,samples=>104,time=>293},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>2.1e-07,p_tags=>"unescape",participant=>"URI::Encode::uri_decode",pct_faster_vs_slowest=>0.019933498986769,pct_slower_vs_fastest=>9637.20812096905,rate=>3480,samples=>20,time=>288},{dataset=>"ascii66",ds_tags=>"escape",errors=>2.1e-07,p_tags=>"escape",participant=>"URI::Encode::uri_encode",pct_faster_vs_slowest=>0.0399826899147434,pct_slower_vs_fastest=>9451.39899482225,rate=>3550,samples=>20,time=>282},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>2.4e-07,p_tags=>"unescape",participant=>"URI::Encode::uri_decode",pct_faster_vs_slowest=>0.0406353330269075,pct_slower_vs_fastest=>9445.47084410354,rate=>3550,samples=>24,time=>282},{dataset=>"empty",ds_tags=>"escape",errors=>2.1e-07,p_tags=>"escape",participant=>"URI::Encode::uri_encode",pct_faster_vs_slowest=>0.0792182042819039,pct_slower_vs_fastest=>9107.75232995501,rate=>3680,samples=>20,time=>272},{dataset=>"ascii53",ds_tags=>"escape",errors=>5.5e-12,p_tags=>"escape",participant=>"URI::Escape::uri_escape",pct_faster_vs_slowest=>37.9693320925135,pct_slower_vs_fastest=>251.25814261957,rate=>132879,samples=>20,time=>7.52563},{dataset=>"ascii53",ds_tags=>"escape",errors=>3e-09,p_tags=>"escape, utf8",participant=>"URI::Escape::uri_escape_utf8",pct_faster_vs_slowest=>39.3366996912721,pct_slower_vs_fastest=>242.706882516958,rate=>138000,samples=>24,time=>7.27},{dataset=>"utf36",ds_tags=>"escape, utf8",errors=>6.1e-09,p_tags=>"escape, utf8",participant=>"URI::Escape::uri_escape_utf8",pct_faster_vs_slowest=>47.2843898865474,pct_slower_vs_fastest=>202.592327787112,rate=>160000,samples=>24,time=>6.1},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>4.8e-12,p_tags=>"unescape",participant=>"URI::Escape::uri_unescape",pct_faster_vs_slowest=>47.4730625637414,pct_slower_vs_fastest=>201.799881271292,rate=>165285,samples=>22,time=>6.05014},{dataset=>"ascii66",ds_tags=>"escape",errors=>4.6e-09,p_tags=>"escape, utf8",participant=>"URI::Escape::uri_escape_utf8",pct_faster_vs_slowest=>61.7943603692182,pct_slower_vs_fastest=>155.547996905809,rate=>214000,samples=>42,time=>4.67},{dataset=>"ascii66",ds_tags=>"escape",errors=>5.7e-12,p_tags=>"escape",participant=>"URI::Escape::uri_escape",pct_faster_vs_slowest=>65.3022040382328,pct_slower_vs_fastest=>147.265528655941,rate=>226080,samples=>20,time=>4.4232},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>0,p_tags=>"unescape",participant=>"URI::Escape::uri_unescape",pct_faster_vs_slowest=>79.4671806422518,pct_slower_vs_fastest=>121.165723395818,rate=>274380,samples=>20,time=>3.64458},{dataset=>"empty",ds_tags=>"escape",errors=>5.7e-10,p_tags=>"escape, utf8",participant=>"URI::Escape::uri_escape_utf8",pct_faster_vs_slowest=>507.804093197445,pct_slower_vs_fastest=>18.3204643284344,rate=>1730000,samples=>24,time=>0.576},{dataset=>"empty",ds_tags=>"escape",errors=>0,p_tags=>"escape",participant=>"URI::Escape::uri_escape",pct_faster_vs_slowest=>703.024504330082,pct_slower_vs_fastest=>12.9630528089882,rate=>2400610,samples=>20,time=>0.41656},{dataset=>"ascii53",ds_tags=>"escape",errors=>2.1e-10,p_tags=>"escape",participant=>"URI::Escape::XS::uri_escape",pct_faster_vs_slowest=>713.732222537237,pct_slower_vs_fastest=>12.7538661652693,rate=>2440000,samples=>20,time=>0.41},{dataset=>"ascii66",ds_tags=>"escape",errors=>0,p_tags=>"escape",participant=>"URI::Escape::XS::uri_escape",pct_faster_vs_slowest=>714.205878117523,pct_slower_vs_fastest=>12.74475746572,rate=>2438740,samples=>20,time=>0.410048},{dataset=>"ascii66",ds_tags=>"escape",errors=>5.7e-12,p_tags=>"escape, utf8",participant=>"URI::XSEscape::uri_escape_utf8",pct_faster_vs_slowest=>780.066740377635,pct_slower_vs_fastest=>11.585776380684,rate=>2663000,samples=>25,time=>0.3755},{dataset=>"ascii53",ds_tags=>"escape",errors=>0,p_tags=>"escape, utf8",participant=>"URI::XSEscape::uri_escape_utf8",pct_faster_vs_slowest=>798.458091660209,pct_slower_vs_fastest=>11.2962434620786,rate=>2726030,samples=>20,time=>0.366834},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>3.9e-10,p_tags=>"unescape",participant=>"URI::Escape::XS::uri_unescape",pct_faster_vs_slowest=>842.958941002092,pct_slower_vs_fastest=>10.647878652853,rate=>2900000,samples=>23,time=>0.35},{dataset=>"utf36",ds_tags=>"escape, utf8",errors=>3e-10,p_tags=>"escape, utf8",participant=>"URI::XSEscape::uri_escape_utf8",pct_faster_vs_slowest=>845.715938307206,pct_slower_vs_fastest=>10.6099519189823,rate=>2890000,samples=>21,time=>0.346},{dataset=>"empty",ds_tags=>"escape",errors=>1e-10,p_tags=>"escape",participant=>"URI::Escape::XS::uri_escape",pct_faster_vs_slowest=>877.842797329512,pct_slower_vs_fastest=>10.1855400791285,rate=>3000000,samples=>20,time=>0.334},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>4.8e-12,p_tags=>"unescape",participant=>"URI::Escape::XS::uri_unescape",pct_faster_vs_slowest=>933.541998031029,pct_slower_vs_fastest=>9.51887593440853,rate=>3187000,samples=>20,time=>0.3138},{dataset=>"empty",ds_tags=>"escape",errors=>3.1e-10,p_tags=>"escape, utf8",participant=>"URI::XSEscape::uri_escape_utf8",pct_faster_vs_slowest=>1105.22387644552,pct_slower_vs_fastest=>7.88638506372613,rate=>3800000,samples=>37,time=>0.27},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>1.7e-11,p_tags=>"unescape",participant=>"URI::XSEscape::uri_unescape",pct_faster_vs_slowest=>1421.83419597693,pct_slower_vs_fastest=>5.90897882590817,rate=>4852000,samples=>20,time=>0.2061},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>5.8e-12,p_tags=>"unescape",participant=>"URI::XSEscape::uri_unescape",pct_faster_vs_slowest=>1461.11459167771,pct_slower_vs_fastest=>5.72336586252299,rate=>4986000,samples=>20,time=>0.2006},{dataset=>"ascii66",ds_tags=>"escape",errors=>5.5e-12,p_tags=>"escape",participant=>"URI::XSEscape::uri_escape",pct_faster_vs_slowest=>1551.12723069314,pct_slower_vs_fastest=>5.33345716664778,rate=>5293000,samples=>20,time=>0.1889},{dataset=>"ascii53",ds_tags=>"escape",errors=>1e-10,p_tags=>"escape",participant=>"URI::XSEscape::uri_escape",pct_faster_vs_slowest=>1660.67232121781,pct_slower_vs_fastest=>4.91592650804834,rate=>5670000,samples=>21,time=>0.176},{dataset=>"empty",ds_tags=>"escape",errors=>5.2e-11,p_tags=>"escape",participant=>"URI::XSEscape::uri_escape",pct_faster_vs_slowest=>2924.7683117276,pct_slower_vs_fastest=>2.35991448583913,rate=>9980000,samples=>20,time=>0.1},{dataset=>"u_ascii66",ds_tags=>"unescape",errors=>1.2e-10,p_tags=>"unescape",participant=>"URI::Encode::XS::uri_decode",pct_faster_vs_slowest=>3560.94647724459,pct_slower_vs_fastest=>1.75982005782049,rate=>12000000,samples=>56,time=>0.082},{dataset=>"ascii66",ds_tags=>"escape",errors=>5.8e-12,p_tags=>"escape",participant=>"URI::Encode::XS::uri_encode",pct_faster_vs_slowest=>3680.38757293284,pct_slower_vs_fastest=>1.67027883862583,rate=>12550000,samples=>20,time=>0.07966},{dataset=>"ascii53",ds_tags=>"escape",errors=>1.1e-10,p_tags=>"escape",participant=>"URI::Encode::XS::uri_encode",pct_faster_vs_slowest=>3894.31919789618,pct_slower_vs_fastest=>1.52362664864331,rate=>13000000,samples=>45,time=>0.075},{dataset=>"u_ascii53",ds_tags=>"unescape",errors=>5.7e-12,p_tags=>"unescape",participant=>"URI::Encode::XS::uri_decode",pct_faster_vs_slowest=>3958.44461824916,pct_slower_vs_fastest=>1.48275510344922,rate=>13500000,samples=>26,time=>0.07407},{dataset=>"empty",ds_tags=>"escape",errors=>4.9e-12,p_tags=>"escape",participant=>"URI::Encode::XS::uri_encode",pct_faster_vs_slowest=>9829.33133278266,pct_slower_vs_fastest=>0,rate=>33500000,samples=>20,time=>0.0298}],{"func.bencher_args"=>{action=>"bench",note=>"Run by Pod::Weaver::Plugin::Bencher::Scenario",scenario=>{datasets=>[{args=>{str=>""},include_by_default=>1,include_participant_tags=>["escape"],name=>"empty",seq=>0,tags=>["escape"]},{args=>{str=>"I said this: you / them ~ us & me _will_ \"do-it\" NOW!"},include_by_default=>1,include_participant_tags=>["escape"],name=>"ascii53",seq=>1,tags=>["escape"]},{args=>{str=>"http://www.google.co.jp/search?q=\x{5C0F}\x{98FC}\x{5F3E}"},include_by_default=>1,include_participant_tags=>["escape & utf8"],name=>"utf36",seq=>2,tags=>["escape","utf8"]},{args=>{str=>"I%20said%20this%3a%20you%20%2f%20them%20~%20us%20%26%20me%20_will_%20%22do-it%22%20NOW%21"},include_by_default=>1,include_participant_tags=>["unescape"],name=>"u_ascii53",seq=>3,tags=>["unescape"]},{args=>{str=>"https://stackoverflow.com/questions/3629212/how can perls xsub die"},include_by_default=>1,include_participant_tags=>["escape"],name=>"ascii66",seq=>4,tags=>["escape"]},{args=>{str=>"https%3A%2F%2Fstackoverflow.com%2Fquestions%2F3629212%2Fhow%20can%20perls%20xsub%20die"},include_by_default=>1,include_participant_tags=>["unescape"],name=>"u_ascii66",seq=>5,tags=>["unescape"]}],module_startup_precision=>0.05,participants=>[{_name=>"URI::Escape::uri_escape",fcall_template=>"URI::Escape::uri_escape(<str>)",function=>"uri_escape",include_by_default=>1,module=>"URI::Escape",seq=>0,tags=>["escape"],type=>"perl_code"},{_name=>"URI::Escape::uri_escape_utf8",fcall_template=>"URI::Escape::uri_escape_utf8(<str>)",function=>"uri_escape_utf8",include_by_default=>1,module=>"URI::Escape",seq=>1,tags=>["escape","utf8"],type=>"perl_code"},{_name=>"URI::Escape::uri_unescape",fcall_template=>"URI::Escape::uri_unescape(<str>)",function=>"uri_unescape",include_by_default=>1,module=>"URI::Escape",seq=>2,tags=>["unescape"],type=>"perl_code"},{_name=>"URI::XSEscape::uri_escape",fcall_template=>"URI::XSEscape::uri_escape(<str>)",function=>"uri_escape",include_by_default=>1,module=>"URI::XSEscape",seq=>3,tags=>["escape"],type=>"perl_code"},{_name=>"URI::XSEscape::uri_escape_utf8",fcall_template=>"URI::XSEscape::uri_escape_utf8(<str>)",function=>"uri_escape_utf8",include_by_default=>1,module=>"URI::XSEscape",seq=>4,tags=>["escape","utf8"],type=>"perl_code"},{_name=>"URI::XSEscape::uri_unescape",fcall_template=>"URI::XSEscape::uri_unescape(<str>)",function=>"uri_unescape",include_by_default=>1,module=>"URI::XSEscape",seq=>5,tags=>["unescape"],type=>"perl_code"},{_name=>"URI::Escape::XS::uri_escape",fcall_template=>"URI::Escape::XS::uri_escape(<str>)",function=>"uri_escape",include_by_default=>1,module=>"URI::Escape::XS",seq=>6,tags=>["escape"],type=>"perl_code"},{_name=>"URI::Escape::XS::uri_unescape",fcall_template=>"URI::Escape::XS::uri_unescape(<str>)",function=>"uri_unescape",include_by_default=>1,module=>"URI::Escape::XS",seq=>7,tags=>["unescape"],type=>"perl_code"},{_name=>"URI::Encode::uri_encode",fcall_template=>"URI::Encode::uri_encode(<str>)",function=>"uri_encode",include_by_default=>1,module=>"URI::Encode",seq=>8,tags=>["escape"],type=>"perl_code"},{_name=>"URI::Encode::uri_decode",fcall_template=>"URI::Encode::uri_decode(<str>)",function=>"uri_decode",include_by_default=>1,module=>"URI::Encode",seq=>9,tags=>["unescape"],type=>"perl_code"},{_name=>"URI::Encode::XS::uri_encode",fcall_template=>"URI::Encode::XS::uri_encode(<str>)",function=>"uri_encode",include_by_default=>1,module=>"URI::Encode::XS",seq=>10,tags=>["escape"],type=>"perl_code"},{_name=>"URI::Encode::XS::uri_decode",fcall_template=>"URI::Encode::XS::uri_decode(<str>)",function=>"uri_decode",include_by_default=>1,module=>"URI::Encode::XS",seq=>11,tags=>["unescape"],type=>"perl_code"}],precision=>0.001,summary=>"Benchmark URI escaping using various modules"}},"func.bencher_version"=>undef,"func.code_startup"=>undef,"func.cpu_info"=>[{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>0,speed=>2345.454,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>1,speed=>2354.067,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>2,speed=>2314.537,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>3,speed=>2302.026,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>4,speed=>2362.056,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>5,speed=>2379.584,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>6,speed=>2348.371,stepping=>3},{L2_cache=>{max_cache_size=>"8192 KB"},address_width=>64,architecture=>"AMD-64",bus_speed=>undef,data_width=>64,family=>6,flags=>["fpu","vme","de","pse","tsc","msr","pae","mce","cx8","apic","sep","mtrr","pge","mca","cmov","pat","pse36","clflush","dts","acpi","mmx","fxsr","sse","sse2","ss","ht","tm","pbe","syscall","nx","pdpe1gb","rdtscp","lm","constant_tsc","arch_perfmon","pebs","bts","rep_good","nopl","xtopology","nonstop_tsc","cpuid","aperfmperf","pni","pclmulqdq","dtes64","monitor","ds_cpl","vmx","smx","est","tm2","ssse3","sdbg","fma","cx16","xtpr","pdcm","pcid","sse4_1","sse4_2","x2apic","movbe","popcnt","aes","xsave","avx","f16c","rdrand","lahf_lm","abm","cpuid_fault","invpcid_single","pti","tpr_shadow","vnmi","flexpriority","ept","vpid","fsgsbase","tsc_adjust","bmi1","hle","avx2","smep","bmi2","erms","invpcid","rtm","xsaveopt","dtherm","ida","arat","pln","pts"],manufacturer=>"GenuineIntel",model=>60,name=>"Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",number_of_cores=>4,number_of_logical_processors=>8,processor_id=>7,speed=>2340.239,stepping=>3}],"func.elapsed_time"=>1.22851586341858,"func.module_startup"=>undef,"func.module_versions"=>{"Benchmark::Dumb"=>0.111,"Devel::Platform::Info"=>"1.00","Sys::Info"=>0.7811,"URI::Encode"=>"1.1.1","URI::Encode::XS"=>0.11,"URI::Escape"=>3.31,"URI::Escape::XS"=>0.14,"URI::XSEscape"=>"0.001000",__PACKAGE__=>1.049,perl=>"v5.30.2"},"func.note"=>"Run by Pod::Weaver::Plugin::Bencher::Scenario","func.permute"=>["perl",["perl"],"participant",[0,1,2,3,4,5,6,7,8,9,10,11],"dataset",[0,1,2,3,4,5]],"func.platform_info"=>{archname=>"x86_64",codename=>"tara",is32bit=>0,is64bit=>1,kernel=>"linux-4.15.0-91-generic",kname=>"Linux",kvers=>"4.15.0-91-generic",osflag=>"linux",oslabel=>"LinuxMint",osname=>"GNU/Linux",osvers=>19,source=>{"cat /etc/.issue"=>"","cat /etc/issue"=>"Linux Mint 19 Tara \\n \\l","lsb_release -a"=>"Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 19 Tara\nRelease:\t19\nCodename:\ttara","uname -a"=>"Linux builder 4.15.0-91-generic #92-Ubuntu SMP Fri Feb 28 11:09:48 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux","uname -m"=>"x86_64","uname -o"=>"GNU/Linux","uname -r"=>"4.15.0-91-generic","uname -s"=>"Linux"}},"func.precision"=>0.001,"func.time_end"=>1592439936.75062,"func.time_factor"=>1000000,"func.time_start"=>1592439935.52211,"table.field_aligns"=>["left","left","left","left","number","number","number","number","number","number"],"table.field_formats"=>[undef,undef,undef,undef,undef,undef,"percent","percent",undef,undef],"table.field_units"=>[undef,undef,undef,undef,"/s","\x{3BC}s"],"table.fields"=>["participant","dataset","ds_tags","p_tags","rate","time","pct_faster_vs_slowest","pct_slower_vs_fastest","errors","samples"]}]];

1;
# ABSTRACT: Benchmark URI escaping using various modules

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

